.spinner-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2000;
    display: none;
}

.theme-option {
    cursor: pointer;
    transition: transform 0.2s, box-shadow 0.2s;
    border: 3px solid transparent;
    border-radius: 10px;
    overflow: hidden;
    will-change: transform;
}

label:hover .theme-option {
    transform: translateY(-3px);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.theme-check-input:checked+.theme-option {
    border-color: #0d6efd;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.theme-img {
    width: 100%;
    height: 100px;
    object-fit: cover;
}

.preview-icon {
    position: absolute;
    top: 5px;
    right: 5px;
    background: rgba(255, 255, 255, 0.9);
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.2s;
    z-index: 5;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    color: #495057;
}

.preview-icon:hover {
    background: #fff;
    transform: scale(1.1);
    color: #0d6efd;
}

#themePreviewImage {
    max-height: 80vh;
    width: auto;
}